EXT_SQL_SESSION_ACL(8)

NAME
 ext_sql_session_acl - SQL Database session lookup helper for Squid

SYNOPSIS
 ext_sql_session_acl [options]

DESCRIPTION
Validates an HTTP requests access authorization with a session database.

Taking an identity token to be validated (as determined by the external_acl_type format) it returns a username or tag associated with the identity token passed in.

Common forms of identifiers are IP address, EUI (MAC) address, passwords, or UUID tokens.

This program uses Squid concurrency support.

OPTIONS

--dsn
    Database DSN. Default "DBI:mysql:database=squid"

--user
    Database User

--password
    Database password

--table
    Database table. Default "passwd".

--uidcol
    Unique Session Identifier column. Default "id".

--usercol
    External ACL user= result column.

--tagcol
    External ACL tag= result column.

--cond
    Condition, defaults to enabled=1. Specify 1 or "" for no condition

--persist
    Keep a persistent database connection open between queries.

--debug
    Write debug info to stderr.

AUTHOR
This program and documentation was written by Amos Jeffries <amosjeffries@squid-cache.org>

Based on original work in DB_auth by Henrik Nordstrom <henrik@henriknordstrom.net> With assistance of Nishant Sharma <codemarauder@gmail.com>

COPYRIGHT
 * Copyright (C) 1996-2023 The Squid Software Foundation and contributors
 *
 * Squid software is distributed under GPLv2+ license and includes
 * contributions from numerous individuals and organizations.
 * Please see the COPYING and CONTRIBUTORS files for details.

 Copyright (C) 2012 Amos Jeffries <amosjeffries@squid-cache.org>

 This program is free software. You may redistribute copies of it under the
 terms of the GNU General Public License version 2, or (at your opinion) any
 later version.

QUESTIONS
Questions on the usage of this program can be sent to the Squid Users mailing list <squid-users@lists.squid-cache.org>

REPORTING BUGS
Bug reports need to be made in English. See http://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.

Report bugs or bug fixes using http://bugs.squid-cache.org/

Report serious security bugs to Squid Bugs <squid-bugs@lists.squid-cache.org>

Report ideas for new improvements to the Squid Developers mailing list <squid-dev@lists.squid-cache.org>

SEE ALSO
squid (8), GPL (7),

The Squid FAQ wiki http://wiki.squid-cache.org/SquidFaq

The Squid Configuration Manual http://www.squid-cache.org/Doc/config/